if (!window.api) {
  window.api = {
    isDev: () => true,
    getClipboardText: () => 'TEXT',
    writeClipboardText: () => {},
    close: () => {},
    getAuthDetails: () => ({
      phone: 'phone-number',
      tfaMissing: false,
    }),
    login: async () => ({
      phone: 'phone-number',
      tfaMissing: false,
    }),
    loginWithKloke: () => {},
    confirmTfa: async () => {},
    createKlink: async () => ({ token: 'TOKEN', url: 'URL' }),
    editKlink: async () => {},
    readKlink: async () => false,
    getCurrentUserKlinks: async () => ({
      data: [],
      page: 1,
      totalItems: 0,
      itemsPerPage: 10,
    }),
    generateKlink: () => 'https://klink.com',
    getTarget: () => null,
  }
}

export {}
