import React from 'react'
import { findContactsByName } from '../../ContactsRepository'
import ContactAutosuggest from './ContactAutosuggest'
import { ContactAutosuggestProps } from './types'

const ContactAutosuggestByName = (props: ContactAutosuggestProps) => {
  return (
    <ContactAutosuggest
      getSuggestions={findContactsByName}
      getSuggestionValue={(contact) => contact.name}
      {...props}
    />
  )
}

export default ContactAutosuggestByName
