import React from 'react'
import KlinkEditor, { KlinkEditorProps } from '../KlinkEditor'

type Props = { close: () => void } & KlinkEditorProps

const EditKlinkDialog = ({ close, ...klinkEditorProps }: Props) => {
  return (
    <>
      <KlinkEditor {...klinkEditorProps} close={close} />
    </>
  )
}

export default EditKlinkDialog
